%global npm_name encodeurl
%global enable_tests 1

%{?nodejs_find_provides_and_requires}

Name:       nodejs-%{npm_name}
Version:    1.0.1
Release:    1%{?dist}
Summary:    Encode a URL to a percent-encoded form, excluding already-encoded sequences
License:    MIT
URL:        https://github.com/pillarjs/%{npm_name}
Source0:    https://github.com/pillarjs/%{npm_name}/archive/v%{version}.tar.gz
BuildRequires: nodejs-packaging
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

%if 0%{?enable_tests}
#BuildRequires: npm(eslint)
#BuildRequires: npm(eslint-config-standard)
#BuildRequires: npm(eslint-plugin-promise)
#BuildRequires: npm(eslint-plugin-standard)
BuildRequires: npm(istanbul)
BuildRequires: npm(mocha)
%endif

%description
%{summary}

%prep
%setup -q -n %{npm_name}-%{version}

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
/usr/bin/mocha --reporter spec --bail --check-leaks test/
/usr/bin/istanbul-js cover /usr/bin/mocha -- --reporter dot --check-leaks test/
/usr/bin/istanbul-js cover /usr/bin/mocha --report lcovonly -- --reporter spec --check-leaks test/
%endif

%files
%{nodejs_sitelib}/%{npm_name}

%license LICENSE
%doc HISTORY.md README.md

%changelog
* Sun Feb 19 2017 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.1-1
- Initial build
